# optimsimplex_getve

Gets the vertex at the given index.

## Calling Sequence

                vertex = optimsimplex_getve(opt, ive)

## Argument

opt

  The current simplex object of TSIMPLEX type (tlist).

ive

  An integer, the vertex index.

vertex

  A tlist, the vertex at given index.

## Description

The `optimsimplex_getve` function returns the vertex at given index, as a tlist, with fields n, x and fv.

## Example

        simplex = [
    3.  0.  0.
    4. 1.  0.
    5. 0.  2.
    ];
    s1 = optimsimplex_new ();
    s1 = optimsimplex_setall ( s1 , simplex );
     ve1 = optimsimplex_getve ( s1 , 1 );
     ve2 = optimsimplex_getve ( s1 , 2 );
     ve3 = optimsimplex_getve ( s1 , 3 );
     disp(ve1)
     disp(ve2)
     disp(ve3)
        s1 = optimsimplex_destroy(s1);

## See Also

- optimsimplex_setve